using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectItCompany.Entities;

namespace ProjectItCompany.Repositories;

public interface IProjectRepository
{
    IEnumerable<Project> ReadProjects();
    Project ReadProjectById(int id);
    void CreateProject(Project project);
    void UpdateProject(Project project);
    void DeleteProject(int id);
}
